Package org.springframework.test.web.reactive.server

# Interface WebTestClient.BodySpec<B,S extends WebTestClient.BodySpec<B,S>>

Type Parameters:
  `S` - a self reference to the spec type
  `B` - the body type

All Known Subinterfaces:
  `WebTestClient.ListBodySpec<E>`

Enclosing interface:
  WebTestClient

public static interface WebTestClient.BodySpec<B,S extends WebTestClient.BodySpec<B,S>>
Spec for expectations on the response body decoded to a single Object.

## Method Summary

Modifier and Type
Method
Description
`<T extends S>
T`
`consumeWith(Consumer<EntityExchangeResult<B>> consumer)`
Assert the exchange result with the given `Consumer`.
`<T extends S>
T`
`isEqualTo(B expected)`
Assert the extracted body is equal to the given value.
`EntityExchangeResult<B>`
`returnResult()`
Exit the chained API and return an `ExchangeResult` with the decoded response content.
`<T extends S>
T`
`value(Consumer<B> consumer)`
Assert the extracted body with a `Consumer`.
`<T extends S, R>
T`
`value(Function<B,R> bodyMapper, Matcher<? super R> matcher)`
Transform the extracted the body with a function, for example, extracting a property, and assert the mapped value with a `Matcher`.
`<T extends S>
T`
`value(Matcher<? super B> matcher)`
Assert the extracted body with a `Matcher`.

## Method Details

### isEqualTo

<T extends S> T isEqualTo(B expected)
Assert the extracted body is equal to the given value.

### value

<T extends S> T value(Matcher<? super B> matcher)
Assert the extracted body with a `Matcher`.

Since:
  5.1

### value

<T extends S, R> T value(Function<B,R> bodyMapper, Matcher<? super R> matcher)
Transform the extracted the body with a function, for example, extracting a property, and assert the mapped value with a `Matcher`.

Since:
  5.1

### value

<T extends S> T value(Consumer<B> consumer)
Assert the extracted body with a `Consumer`.

Since:
  5.1

### consumeWith

<T extends S> T consumeWith(Consumer<EntityExchangeResult<B>> consumer)
Assert the exchange result with the given `Consumer`.

### returnResult

EntityExchangeResult<B> returnResult()
Exit the chained API and return an `ExchangeResult` with the decoded response content.